#ifndef _MISC_H
#define _MISC_H
/*
*  misc.h: misc blackfin utilities
*/

#include "file.h"

extern void print_log(file_t *file, char *str);
extern void print_startup_log(file_t *file, data_t *dat);

extern int log_message(char *file, char *msg);

// system time functions

// default: date -d "Jan 01 00:00:00 GMT 2009" +%s
#define BFIN_DEFAULT_TIME 1230768000

extern time_t set_system_time(time_t sec, suseconds_t usec);
extern time_t get_system_time(time_t *sec, suseconds_t *usec);
extern double time_to_double(time_t sec, suseconds_t usec);

#endif /* _MISC_H */

